EZCart Docs
Api

Store Payment_get Payment Status

Check payment intent status. Called after customer returns from payment gateway redirect. Use this to determine if payment succeeded, failed, or is still processing.

GET
/v1/store/payments/{intentId}/status

Path Parameters

intentId*string

Response Body

application/json

curl -X GET "https://loading/v1/store/payments/string/status"
{
  "amount": 0,
  "failureReason": "string",
  "intentId": "string",
  "orderId": "string",
  "orderNumber": "string",
  "paidAt": "2019-08-24T14:15:22Z",
  "provider": [
    "string"
  ],
  "status": "string"
}